long_name = "QuickTome: Orb of Communication"
short_name = "qt-communication"
for_module = "tome"
version = {1,3,1}
addon_version = {1,0,2}
weight = 216500 -- All QuickTome addons have weight between 216000 and 216999.
author = { "minmay", "a@cowmuffins.net" }
homepage = "http://www.cowmuffins.net/"
description = [[This addon is part of the QuickTome addon set.

Starts all new Maj'Eyal characters with a new item, the Orb of Communication. This item can be used at any time to speak to several NPCs, removing the need to visit them in person.
You can still visit them in person if you want to, of course.
At the moment, you are not allowed to speak to an NPC if speaking to them could result in you being teleported or stranded on the wrong continent, or if there is some technical reason that you need to be on a specific level (e.g. creating a portal).

You cannot speak to NPCs if you are stranded on the wrong continent, but if you have farportals going both directions, you can speak to them from either continent.
The Orb also lets you speak to a new NPC, Ansaya the Psionic Trainer, who provides Combat Training/Shoot/Staff Combat/Mindstar Mastery training identical to that found in Last Hope, Angolwen, and Zigur.

===== Compatibility =====
This addon is guaranteed to be compatible with the rest of the QuickTome set. If it isn't, that is a bug and should be reported.

This addon assumes that these chats exist and are safe to open from any non-worldmap level:
alchemist-derth, alchemist-elvala, alchemist-hermit, alchemist-last-hope, last-hope-elder, myssil, zemekkys*

*Exception: zemekkys will not be opened if, going by vanilla game conditions, it could potentially result in creating a farportal.

This addon overwrites Myssil's on_die hook in /data/zones/town-zigur/npcs.lua, but the rest of her definition will not be touched.

This addon assumes that these files do not already exist:
/data/chats/communication-select.lua

Weight: 216500

===== Changelog =====

= 1.0.0 =
- Initial release

= 1.0.1 =
- Added 'quicktome' tag
- Added Ansaya the Psionic Trainer, who provides Combat Training/Shoot/Staff Combat/Mindstar Mastery training identical to that found in Last Hope, Angolwen, and Zigur.

= 1.0.2 =
- Updated for Zone Overhaul version 1.0.27]]
tags = { 'quicktome', 'convenience' }
data = true
hooks = true
overload = true
