-- modify Precognition
TemporaryEffects.tempeffect_def.EFF_PRECOGNITION.long_desc = function(self, eff) return ("Peer into the future, increasing accuracy by %d, defense by %d, physical critical chance by %d%%, and granting a %d%% chance to ignore critical hits."):format(eff.accuracy, eff.defense, eff.physcrit, eff.crits) end
-- range, actor, trap parameters no longer used, but we keep them for safety
TemporaryEffects.tempeffect_def.EFF_PRECOGNITION.parameters = { range=10, actor=1, trap=1, defense=0, crits=0, accuracy=0, physcrit=0 }
TemporaryEffects.tempeffect_def.EFF_PRECOGNITION.activate = function(self, eff)
	self:effectTemporaryValue(eff, "ignore_direct_crits", eff.crits)
	self:effectTemporaryValue(eff, "combat_atk", eff.accuracy)
	self:effectTemporaryValue(eff, "combat_def", eff.defense)
	self:effectTemporaryValue(eff, "combat_physcrit", eff.physcrit)
end
TemporaryEffects.tempeffect_def.EFF_PRECOGNITION.deactivate = function(self, eff)
	-- nothing anymore
end
TemporaryEffects.tempeffect_def.EFF_VIMSENSE.on_gain = function(self, err) return "#Target# is touched by blight.", "+Vimsense" end
TemporaryEffects.tempeffect_def.EFF_VIMSENSE.on_lose = function(self, err) return "#Target# is no longer touched by blight.", "-Vimsense" end
