-- ToME - Tales of Maj'Eyal
-- Copyright (C) 2009 - 2016 Nicolas Casalini
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Nicolas Casalini "DarkGod"
-- darkgod@te4.org

load("/data/general/traps/store.lua")

newEntity{ base = "BASE_STORE", define_as = "ARCHER_WEAPON_STORE",
	name="Dala's Far Reaching Implements",
	display='3', color=colors.UMBER,
	resolvers.store("ARCHER_WEAPON", "allied-kingdoms", "store/shop_door.png", "store/shop_sign_dalas_far_reaching.png"),
	resolvers.chatfeature("last-hope-weapon-store", "allied-kingdoms"),
}

newEntity{ base = "BASE_STORE", define_as = "ELDER",
	name="The Elder",
	display='*', color=colors.UMBER, image = "store/shop_door2.png",
	resolvers.chatfeature("last-hope-elder", "allied-kingdoms"),
}

newEntity{ base = "BASE_STORE", define_as = "TANNEN",
	name="Tannen's Door",
	display='*', color=colors.UMBER, image = "store/shop_door_barred.png",
	resolvers.chatfeature("tannen", "allied-kingdoms"),
}

newEntity{ base = "BASE_STORE", define_as = "ALCHEMIST",
	name="Home of Ungrol the Alchemist",
	display='*', color=colors.UMBER, image = "store/shop_door_barred.png",
	resolvers.chatfeature("alchemist-last-hope", "allied-kingdoms"),
}
newEntity{ base = "BASE_STORE", define_as = "STIRE",
	name="Home of Stire the Alchemist",
	display='*', color=colors.UMBER, image = "store/shop_door_barred.png",
	resolvers.chatfeature("alchemist-derth", "allied-kingdoms"),
}
newEntity{ base = "BASE_STORE", define_as = "MARUS",
	name="Home of Marus the Alchemist",
	display='*', color=colors.UMBER, image = "store/shop_door_barred.png",
	resolvers.chatfeature("alchemist-elvala", "shalore"),
}

newEntity{ base = "BASE_STORE", define_as = "MELINDA_FATHER",
	name="Rich merchant",
	display='*', color=colors.UMBER, image = "store/shop_door_barred.png",
	resolvers.chatfeature("last-hope-melinda-father", "allied-kingdoms"),
}

newEntity{ base = "BASE_STORE", define_as = "RARE_GOODS",
	name="Urthol's Wondrous Emporium",
	display='7', color=colors.BLUE,
	resolvers.store("LOST_MERCHANT", "allied-kingdoms", "store/shop_door.png", "store/shop_sign_urthols_emporium.png"),
	resolvers.chatfeature("last-hope-lost-merchant", "allied-kingdoms"),
}
