long_name = "QuickTome: Arena Skip"
short_name = "qt-arena-skip"
for_module = "tome"
version = {1,3,1}
addon_version = {1,0,0}
weight = 216750 -- All QuickTome addons have weight between 216000 and 216999.
author = { "minmay", "a@cowmuffins.net" }
homepage = "http://www.cowmuffins.net/"
description = [[This addon is part of the QuickTome addon set.

This addon makes the Agent of the Arena quest inaccessible. Instead, all Maj'Eyal characters gain 2 generic points (the quest reward) at level 10.
It is assumed that most characters can easily complete the quest by level 10, so this is not a difficulty decrease. Also, it does not compensate
for the lost gold and items. Characters in worlds other than Maj'Eyal are not affected (since the quest presumably does not exist in those).

===== Compatibility =====
This addon uses a hook to change the ARENA_AGENT entity defined in /data/zones/derth/npcs.lua. Nothing else in that file is affected.

This addon superloads the levelup() method in /mod/class/Actor.lua in order to add 2 generic points at level 10. The original function is preserved,
so it should be compatible with other addons that superload that function and preserve the original. It won't necessarily be compatible with addons
that superload that function and don't preserve the original, or addons that overload that file.

Weight: 216750]]
tags = { 'convenience', 'quicktome' }
hooks = true
superload = true
