newEntity{ define_as = "ORB_COMMUNICATION",
	power_source = {unknown=true},
	unique = true, quest=true, no_unique_lore=true,
	type = "orb", subtype="orb",
	unided_name = "orb of communication",
	name = "Orb of Communication",
	-- TODO: custom tile. For now, we use this one because it looks orb-y and is rarely seen.
	display = "*", color=colors.VIOLET, image = "object/infusion_of_wild_growth.png",
	encumber = 0,
	plot = true, quest = true,
	desc = [[This orb can be used to speak with someone far away. It is even capable of teleporting small objects back and forth.]],
	on_drop = function(self, who)
		if who == game.player then
			game.logPlayer(who, "You cannot bring yourself to drop the %s", self:getName())
			return true
		end
	end,
	max_power = 1,
	power_regen = 1,
	use_power = {
		name = "speak with someone",
		power = 1,
		use = function(self, who)
			require("engine.Chat").new("communication-select", {name="Orb of Communication"}, who):invoke()
			return {id=true, used=true}
		end
	},
}

