class:bindHook("ToME:load", function(self, data)
	-- This is kinda gross, but it gets the job done without introducing any compatibility issues.
	local desc = require("engine.Birther"):getBirthDescriptor("world","Maj'Eyal")
	if desc.copy then
		table.insert(desc.copy,resolvers.inventory{ id=true, {defined="ORB_COMMUNICATION"} })
	else
		desc.copy = {resolvers.inventory{ id=true, {defined="ORB_COMMUNICATION"} } }
	end	
end)

class:bindHook("Entity:loadList", function(self, data)
	if data.file == "/data/general/objects/quest-artifacts.lua" then
		local loadIfNot = function(f)
			if data.loaded[f] then return end
			self:loadList(f, data.no_default, data.res, data.mod, data.loaded)
		end
		loadIfNot("/data-qt-communication/general/objects/orb-communication.lua")
	elseif data.file == "/data/zones/town-zigur/npcs.lua" then
		for _, obj in pairs(data.res) do
			if obj.define_as == "PROTECTOR_MYSSIL" then -- Modify Myssil a bit; we need to track her death.
				obj.on_die = function(self)
					local q = game.player:hasQuest("anti-antimagic")
					if q then q:myssil_dies() end
					-- there are probably better places to store this...
					game.player:attr("qt-myssil-dead",1)
				end
				break -- nothing else we need in this file
			end
		end
	end
end)
