long_name = "QuickTome: Resource Tweaks"
short_name = "qt-resource-tweaks"
for_module = "tome"
version = {1,3,1}
addon_version = {1,0,3}
weight = 216250 -- All QuickTome addons have weight between 216000 and 216999.
author = { "minmay", "a@cowmuffins.net" }
homepage = "http://www.cowmuffins.net/"
description = [[This addon is part of the QuickTome addon set.

This addon gives all characters 0.2 regeneration for mana, vim, psi, positive energy, and negative energy; it also gives all characters -0.1 regeneration for equilibrium. As these resources can be replenished easily (such as with items) there is no reason to prevent them from regenerating naturally. Additionally, the resting speedup for health/mana/stamina is applied to these resources.
Classes that already have non-default resource regeneration (such as mage and psionic classes) are not affected; this addon does not give mages 0.7 mana regeneration.
This addon gives all characters water breathing. They can still suffocate in walls, from constriction, and so on. In light of this, the following egos are no longer generated: of the deep, of the depths.

===== Compatibility =====
This addon is guaranteed to be compatible with the rest of the QuickTome set. If it isn't, that is a bug and should be reported.

This addon superloads the following functions non-destructively:
mod/class/Player.lua: restCheck()

This addon is compatible with improved-restauto 3.0.3.

Weight: 216250

===== Changelog =====

= 1.0.0 =
- Initial release

= 1.0.1 =
- Give all characters water breathing
- Remove water breathing from items
- Don't generate " of the deep" or " of the depths" egos

= 1.0.2 =
- Add positive and negative energy regeneration
- Apply resting speedup to the newly regenerating resources

= 1.0.3 =
- Fix typos that prevented the removed egos from actually being removed. Also, someone needs to tell dg that debug mode's ego creation is worthless.]]
tags = { 'quicktome', 'convenience' }
data = true
hooks = true
superload = true
