long_name = "QuickTome: Vault Tweaks"
short_name = "qt-vault-tweaks"
for_module = "tome"
version = {1,4,8}
addon_version = {1,0,0}
weight = 216047 -- All QuickTome addons have weight between 216000 and 216999.
author = { "minmay", "a@cowmuffins.net" }
homepage = "http://www.cowmuffins.net/"
description = [[This addon is part of the QuickTome addon set.

This addon changes various vaults to be less annoying. Mostly, this means replacing some diggable walls with doors or empty space.

===== Compatibility =====
This addon OVERLOADS these files, and will not be compatible with other addons that touch them:
data/maps/vaults/auto/greater/32-chambers.lua: Replaced most diggable walls with floor. Multi-hued wyrms are now behind vault doors instead of diggable walls.
data/maps/vaults/auto/greater/demon-nest-1.lua: Removed lava. Replaced diggable walls with doors.
data/maps/vaults/auto/greater/demon-nest-2.lua: Removed lava.
data/maps/vaults/auto/greater/demon-nest-3.lua: Removed lava. Replaced diggable walls with doors.
data/maps/vaults/auto/greater/diggers.lua: Replaced diggable walls with doors.
data/maps/vaults/auto/greater/greater-checkerboard.lua: Replaced diggable walls with doors.
data/maps/vaults/auto/greater/lightning-vault.lua: Added passages to loot rooms so digging is no longer required.
data/maps/vaults/auto/greater/quiet.lua: Replaced alarm traps with monsters.
data/maps/vaults/auto/greater/trapped-hexagon.lua: Replaced diggable walls with doors.
data/maps/vaults/auto/greater/yin-yang.lua: Replaced diggable walls with doors or nothing.
data/maps/vaults/auto/greater/zigzag-chambers.lua: Replaced diggable walls with doors.
data/maps/vaults/bandit-fortress.lua: Replaced diggable walls with doors.
data/maps/vaults/mold-path.lua: Replaced poisoned water with non-poisoned water.
data/maps/vaults/old-forest-swamp.lua: Replaced poisoned water with non-poisoned water.
data/maps/vaults/orc-necromancer.lua: Replaced diggable wall with door.
data/maps/vaults/rain-of-death.lua: Allowed skeleton archers to escape.
data/maps/vaults/thief-hideout.lua: Replaced diggable wall with door.

Weight: 216047]]
tags = { 'convenience', 'quicktome' }
overload = true
