newEntity{
	power_source = {nature=true},
	define_as = "SANDQUEEN_HEART",
	type = "corpse", subtype = "heart", image = "object/artifact/queen_heart.png",
	name = "Heart of the Sandworm Queen", unique=true, unided_name="pulsing organ",
	display = "*", color=colors.VIOLET,
	desc = [[The heart of the Sandworm Queen, ripped from her dead body.
You could ... consume it, should you feel mad enough or you could try to corrupt it somewhere.]],
	cost = 3000,
	quest = 1,

	use_simple = { name="consume the heart", use = function(self, who)
		game.logPlayer(who, "#00FFFF#You consume the heart and feel the knowledge of this very old creature fill you!")
		who.unused_stats = who.unused_stats + 3
		who.unused_talents = who.unused_talents + 1
		who.unused_generics = who.unused_generics + 1
		game.logPlayer(who, "You have %d stat point(s) to spend. Press p to use them.", who.unused_stats)
		game.logPlayer(who, "You have %d class talent point(s) to spend. Press p to use them.", who.unused_talents)
		game.logPlayer(who, "You have %d generic talent point(s) to spend. Press p to use them.", who.unused_generics)

		if not who:attr("forbid_nature") then
			if who:knowTalentType("wild-gift/harmony") then
				who:setTalentTypeMastery("wild-gift/harmony", who:getTalentTypeMastery("wild-gift/harmony") + 0.2)
			elseif who:knowTalentType("wild-gift/harmony") == false then
				who:learnTalentType("wild-gift/harmony", true)
			else
				who:learnTalentType("wild-gift/harmony", false)
			end
			-- Make sure a previous amulet didnt bug it out
			if who:getTalentTypeMastery("wild-gift/harmony") == 0 then who:setTalentTypeMastery("wild-gift/harmony", 1) end
			game.logPlayer(who, "You are transformed by the heart of the Queen!.")
			game.logPlayer(who, "#00FF00#You gain an affinity for nature. You can now learn new Harmony talents (press p).")

			who:attr("drake_touched", 2)
		end

		game:setAllowedBuild("wilder_wyrmic", true)

		return {used=true, id=true, destroy=true}
	end}
}
