name = "Into the darkness"
desc = function(self, who)
	local desc = {}
	desc[#desc+1] = "It is time to explore some new places -- dark, forgotten and dangerous ones."
	desc[#desc+1] = "The Old Forest is just south-east of the town of Derth."
	desc[#desc+1] = "The Maze is west of Derth."
	desc[#desc+1] = "The Daikara is on the eastern borders of the Thaloren forest."
	if self:isCompleted("old-forest") then
		if self:isCompleted("old-forest-crystal") then
			desc[#desc+1] = "#LIGHT_GREEN#* You have explored the Old Forest and vanquished Shardskin.#WHITE#"
		else
			desc[#desc+1] = "#LIGHT_GREEN#* You have explored the Old Forest and vanquished Wrathroot.#WHITE#"
		end
	else
		desc[#desc+1] = "#SLATE#* You must explore the Old Forest and find out what lurks there and what treasures are to be gained!#WHITE#"
	end
	if self:isCompleted("maze") then
		if self:isCompleted("maze-horror") then
			desc[#desc+1] = "#LIGHT_GREEN#* You have explored the Maze and vanquished the Horned Horror.#WHITE#"
		else
			desc[#desc+1] = "#LIGHT_GREEN#* You have explored the Maze and vanquished the Minotaur.#WHITE#"
		end
	else
		desc[#desc+1] = "#SLATE#* You must explore the Maze and find out what lurks there and what treasures are to be gained!#WHITE#"
	end
	if self:isCompleted("daikara") then
		if self:isCompleted("daikara-volcano") then
			desc[#desc+1] = "#LIGHT_GREEN#* You have explored the Daikara and vanquished the huge fire dragon that dwelled there.#WHITE#"
		else
			desc[#desc+1] = "#LIGHT_GREEN#* You have explored the Daikara and vanquished the huge ice dragon that dwelled there.#WHITE#"
		end
	else
		desc[#desc+1] = "#SLATE#* You must explore the Daikara and find out what lurks there and what treasures are to be gained!#WHITE#"
	end
	return table.concat(desc, "\n")
end

on_status_change = function(self, who, status, sub)
	if sub then
		if self:isCompleted("old-forest") and self:isCompleted("maze") and self:isCompleted("daikara") then
			who:setQuestStatus(self.id, engine.Quest.DONE)
			who:grantQuest("dreadfell")
		end
	end
end
