local _M = loadPrevious(...)

local orig_init = _M.init
function _M:init(t, no_default)
	if type(game)=="table" and game:isCampaign("Maj'Eyal") then
		t.store.purse = 1000 -- remove sell limits
	end
	local rval = orig_init(self,t,no_default)
	return rval
end

local orig_getObjectPrice = _M.getObjectPrice
function _M:getObjectPrice(o, what, nb)
	local rval,rval2 = orig_getObjectPrice(self,o,what,nb)
	if type(game)=="table" and game:isCampaign("Maj'Eyal") and what == "sell" then -- increase by 50%
		return math.round(rval*1.5, .01), rval2
	else
		return rval, rval2
	end
end

return _M
